Assets

Update asset styling note

Update the free-form styling note associated with an asset. Only the owner can update the note. The note is pre-filled in the picker the next time the asset is reused in a job.

PATCH
/assets/{asset_id}/note

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Path Parameters

asset_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://v2.api.piktid.com/assets/string/note" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "styling_note": "string"
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty